---
lang: en
title: 'API docs: core.lifecycleobserver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserver](./core.lifecycleobserver.md)

## LifeCycleObserver interface

Observers to handle life cycle init/start/stop events

**Signature:**

```typescript
export interface LifeCycleObserver 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[init(injectedArgs)?](./core.lifecycleobserver.init.md)


</td><td>

_(Optional)_ The method to be invoked during `init`<!-- -->. It will only be called at most once for a given application instance.


</td></tr>
<tr><td>

[start(injectedArgs)?](./core.lifecycleobserver.start.md)


</td><td>

_(Optional)_ The method to be invoked during `start`


</td></tr>
<tr><td>

[stop(injectedArgs)?](./core.lifecycleobserver.stop.md)


</td><td>

_(Optional)_ The method to be invoked during `stop`


</td></tr>
</tbody></table>


